<?php

/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Sprinix\Banner\Model\Banner\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class ImageType
 * @package Sprinix\Banner\Model\Banner\Source
 */
class ImageType implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray()
    {
        $selectOptions = ['line_position' => 'Position','slider' => 'Slider'];
        $options = [];
        foreach ($selectOptions as $key => $label) {
            $options[] = [
                'label' => $label,
                'value' => $key,
            ];
        }
        return $options;
    }
}
