<?php

/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Sprinix\Banner\Model\Banner\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Select
 * @package Sprinix\Banner\Model\Banner\Source
 */
class Select implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray()
    {
        $selectOptions = ['bannerimage' => 'Image','html_block' => 'HTML Text'];
        $options = [];
        foreach ($selectOptions as $key => $label) {
            $options[] = [
                'label' => $label,
                'value' => $key,
            ];
        }
        return $options;
    }
}
