/** * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
define([
    'jquery',
    'ko',
    'uiComponent',
], function ($, ko, component) {
    'use strict';
    return component.extend({
        initialize: function () {
            this._super();
            this.insertBannerPosition();
        },
        insertBannerPosition  :function () {
            var position = 1;
            var length = 0;
            var row = this.row;
            $("#banners div.text").prependTo($("div.text-banner"));
            $("#banners li.image").insertBefore("footer");
            $("#banners li.category_single-image").insertAfter("div.breadcrumbs");
            if($("div.owl-stage div.owl-item").hasClass("active")){
                $("li.image").hide();
                $("li.category_single-image").hide();
            }
            $.each($( "ol.list.items.product-items li.product.product-item" ), function() {
                if(length == 0 && position == 1){
                $(this).before($('#banners li.category_banner-item[data-position="'+position+'"]'));
                }
                length++;
                if (length == row) {
                    if ($('#banners li.category_banner-item[data-position="'+position+'"]')) {
                        position++;
                        $(this).after($('#banners li.category_banner-item[data-position="'+position+'"]'));
                    }
                    length = 0;
                }
            });
        }
    });
});
