<?php
 
/**
 * Copyright 漏 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Sprinix\Banner\Block\Adminhtml\Banner;
 
use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;
 
/**
 * Class SaveButton
 * @package Sprinix\Banner\Block\Adminhtml\Banner
 */
class SaveButton implements ButtonProviderInterface
{
    /**
     * @return array
     */
   public function getButtonData()
   {
       return [
           'label' => __('Save'),
           'class' => 'save primary',
           'data_attribute' => [
               'mage-init' => ['button' => ['event' => 'save']],
               'form-role' => 'save',
           ],
           'sort_order' => 90,
       ];
   }
}
